Skip to main content
`Ctrl`+`K`

# PetscHMapIJVQueryAdd

Add value to the value of a given key if the key exists, otherwise, insert a new (key,value) entry in the hash table

## Synopsis

    #include <petsc/private/hashmapijv.h>
    PetscErrorCode PetscHMapIJVQueryAdd(PetscHMapT ht,PetscHashIJKey key,PetscScalar val,PetscBool *missing)

## Input Parameters

- ht - The hash table

- key - The key

- val - The value

## Output Parameter

- missing - `PETSC_TRUE` if the `PetscHMapIJV` did not already have the given key

## See Also

`PetscHMapIJVSetWithMode()`, `PetscHMapIJV`, `PetscHMapIJVGet()`, `PetscHMapIJVIterSet()`, `PetscHMapIJVSet()`

## Level

developer

## Location

include/petsc/private/hashmapijv.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages